/*
 * Copyright 2015-2016 Brian L. Browning
 *
 * This file is part of IBDNe
 *
 * IBDNE is licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package ibdne;

/**
 * Interface {@code SamplePairFilter} represents a filter for
 * pairs of sample indices.
 */
public interface SamplePairFilter {

    /**
     * Returns {@code true} if the sample pair is accepted, and
     * returns {@code false} otherwise.
     * @param sample1 the first sample index.
     * @param sample2 the second sample index.
     * @return {@code true} if the sample pair is accepted, and
     * returns {@code false} otherwise.
     * @throws IllegalArgumentException if {@code sample1<0 || sample1>sample2}
     */
    public boolean accept(int sample1, int sample2);
}
